# AppboxoSDK for Flutter

A Flutter plugin to integrate the Appboxo for iOS and Android.

## Usage 
```dart
import 'package:appboxo_sdk/appboxo_sdk.dart';

AppboxoSdk.setConfig("[client_id]"); //set your Appboxo client_id

AppboxoSdk.setConfig("[client_id]", multitaskMode: false);
//'multitaskMode' works only on Android. By default 'true', each miniapp appears as a task in the Recents screen.

AppboxoSdk.openMiniApp("[miniapp_id]", "[auth_payload]"); //launch miniapp by id with auth payload

AppboxoSdk.hideAllMiniApps(); //use it to closing all miniapp screens

AppboxoSdk.logout(); //On logout from your app, call it to clear all miniapps data.
```

```dart 
AppboxoSdk.openMiniApp("[miniapp_id]", "[auth_payload]", "[data]");
```
Use it when you need to pass data to miniapp.

## Custom events

Handle events from miniapp and send to miniapp.  
```dart
AppboxoSdk.customEvents().listen((CustomEvent event) {
      if (event.appId == 'app123456') {
        event.payload = {"foo": "bar"};
        AppboxoSdk.sendEvent(event);
      }
    });
```
## Android 

Requires AndroidX
Include support in android/gradle.properties
```
android.useAndroidX=true
android.enableJetifier=true
```